<div class='row'>
	<div class='column' style='text-align: right; padding: 0 20px'>
		<strong>Looking for a Live Demo?</strong>
		<a href="http://viewer.ohif.org/">Preview The OHIF Viewer</a>
	</div>
	<div class='column' style='text-align: left; padding: 0 20px'>
		<a href="https://www.netlify.com">
		  <img src="https://www.netlify.com/img/global/badges/netlify-color-bg.svg"/>
		</a>
	</div>
</div>

> ATTENTION! You are looking at the docs for the `React` version of the OHIF
> Viewer. If you're looking for the `Meteor` version's documentation (now
> deprecated), select it's version from the dropdown box in the top left corner
> of this page.

# Introduction

The [Open Health Imaging Foundation][ohif-org] (OHIF) Viewer is an open source,
web-based, medical imaging viewer. It can be configured to connect to Image
Archives that support [DicomWeb][dicom-web], and offers support for mapping to
proprietary API formats. OHIF maintained extensions add support for viewing,
annotating, and reporting on DICOM images in 2D (slices) and 3D (volumes).

![OHIF Viewer Screenshot](../assets/img/viewer.png)

<center><i>The <strong>OHIF Viewer</strong>: A general purpose DICOM Viewer (<a href="http://viewer.ohif.org/">Live Demo</a>)</center>

The Open Health Imaging Foundation intends to provide a simple general purpose
DICOM Viewer which can be easily extended for specific uses. If you find
yourself unable to extend the viewer for your purposes, please reach out via our
[GitHub issues][gh-issues]. We are actively seeking feedback on ways to improve
our integration and extension points.

## Where to next?

Check out these helpful links:

- Ready to dive into some code? Check out our
  [Getting Started Guide](./development/getting-started.md).
- We're an active, vibrant community.
  [Learn how you can be more involved.](./development/contributing.md)
- Feeling lost? Read our [help page](./help.md).

<!--
  Links
  -->

<!-- prettier-ignore-start -->
[ohif-org]: http://www.ohif.org
[dicom-web]: https://en.wikipedia.org/wiki/DICOMweb
[gh-issues]: https://github.com/OHIF/Viewers/issues
<!-- prettier-ignore-end -->
