# OHIF Viewers

- [Our Process](our-process.md)
- Development
  - [Getting Started](development/getting-started.md)
  - [Contributing](development/contributing.md)
  - [Continuous Integration](development/continous-integration.md)
  - [Testing](development/testing.md)
- [Configuring](configuring/index.md)
  - [Data Source](configuring/data-source.md)

---

- [Architecture](architecture/index.md)
- [Viewer](viewer/index.md)
  - [Configuration](viewer/configuration.md)
  - [Themeing](viewer/themeing.md)
  - [Internationalization](viewer/internationalization.md)
- [Extensions](extensions/index.md)
  - [Registering](extensions/index.md#registering-an-extension)
  - [Lifecycle Hooks](extensions/index.md#lifecycle-hooks)
    - [preRegistration](extensions/lifecycle/pre-registration.md)
  - [Modules](extensions/index.md#modules)
    - [Commands](extensions/modules/commands.md)
    - [Panel](extensions/modules/panel.md)
    - [SOP Class Handler](extensions/modules/sop-class-handler.md)
    - [Toolbar](extensions/modules/toolbar.md)
    - [Viewport](extensions/modules/viewport.md)
  - [Contexts](extensions/index.md#contexts)
  - [ExtensionManager](extensions/index.md#extensionmanager)
  - [OHIF Maintained](extensions/index.md#maintained-extensions)
- [Services](services/index.md)
  - [Default](services/default/index.md)
  - [UI](services/ui/index.md)
    - [Dialog Service](services/ui/ui-dialog-service.md)
    - [Modal Service](services/ui/ui-modal-service.md)
    - [Notification Service](services/ui/ui-notification-service.md)

---

- [Deployment](deployment/index.md)
  - [Embedded](deployment/index.md#embedded-viewer)
  - [Stand-alone](deployment/index.md#stand-alone-viewer)
  - [Data](deployment/index.md#data)
- Recipes
  - Script Include
    - [Embedding the Viewer](deployment/recipes/embedded-viewer.md)
  - Stand-Alone
    - [Build for Production](deployment/recipes/build-for-production.md)
    - [Static](deployment/recipes/static-assets.md)
    - [Nginx + Image Archive](deployment/recipes/nginx--image-archive.md)
    - [User Account Control](deployment/recipes/user-account-control.md)
    - [Google Cloud Healthcare](connecting-to-image-archives/google-cloud-healthcare.md)

---

- [FAQ](faq/index.md)
  - [Scope of Project](faq/scope-of-project.md)
  - [Browser Support](faq/browser-support.md)
  - [PWA vs Packaged](faq/pwa-vs-packaged.md)
- [Help](help.md)
