# Contributing

### I would like to contribute code - how do I do this?

Fork the repository, make your change and submit a pull request.

### Any guidance on submitting changes?

While we do appreciate code contributions, triaging and integrating contributed code changes can be very time consuming. Please consider the following tips when working on your pull requests:

- Functionality is appropriate for the repository. Consider posting on the forum if you are not sure.
- Code quality is acceptable. We don't have coding standards defined, but make sure it passes ESLint and looks like the rest of the code in the repository.
- Quality of design is acceptable. This is a bit subjective so you should consider posting on the forum for specific guidance.
- The scope of the pull request is not too large. Please consider separate pull requests for each feature as big pull requests are very time consuming to understand.

We will provide feedback on your pull requests as soon as possible. Following the tips above will help ensure your changes are reviewed.

### Testing contribution pull requests

OHIF uses [netlify](netlify.com) so that pull requests are autogenerated and available for testing.

For example, [this url](https://deploy-preview-237--ohif.netlify.com/viewer/?url=https://s3.eu-central-1.amazonaws.com/ohif-viewer/sampleDICOM.json) allows you to test [pull request 237, the request that created this FAQ entry,](https://github.com/OHIF/Viewers/pull/237) using data pulled from Amazon S3.

Replacing the number 237 in the link below with your pull request number should let you test it as well and you can use this link for discussions on github without requiring reviewers to download and build your branch.
```
https://deploy-preview-237--ohif.netlify.com/viewer/?url=https://s3.eu-central-1.amazonaws.com/ohif-viewer/sampleDICOM.json
```

If you have made a documentation change, a link like this will let you preview the gitbook generated by the pull request:
```
https://deploy-preview-237--ohif.netlify.com/contributing.html
```
