# Frequently Asked Questions - General

### How do I file a bug?

We accept and triage bug reports through Github primarily.

1. [Create a Github account](https://github.com/join)
2. Search the current [Issue List](https://github.com/OHIF/Viewers/issues) to
   ensure you are not creating a duplicate issue.

If your issue already exists, post a comment to show us that this issue also
affects you.

3. If no prior issue exists,
   [Create a New Issue](https://github.com/OHIF/Viewers/issues/new) on the
   repository.

Some tips for filing a new issue:

- **Make sure your issue is reproducible**: If we try to reproduce your issue
  given your provided steps and we cannot reproduce it, we will not be able to
  fix it. _Nobody wants to spend time guessing how to reproduce your issue!_
  Before filing, please reproduce your issue more than once and clearly describe
  the steps taken.
- **If you are reporting a user interface issue, provide screenshots**: A
  picture is worth a thousand words. If your issue concerns the UI, screenshots
  will help us identify the issue dramatically faster since it can be extremely
  challenging to describe UI bugs with text. _You should still clearly describe
  the steps that you took to produce the issue_.
- **Include platform & environment**: Your operating system, web browser, and
  web browser version are highly relevant for many bugs. Please provide these
  with all bug reports.
- **Include expected and actual result**: Tell us what you expected to happen,
  and what actually happened. If you don't do this, we might not consider it a
  bug.

### How can I request a new feature?

At the moment we are in the process of defining our roadmap and will do our best
to communicate this to the community. If your requested feature is on the
roadmap, then it will most likely be built at some point. If it is not, you are
welcome to build it yourself and [contribute it](../contributing.md). If you
have resources and would like to fund the development of a feature, please
[contact us](http://www.ohif.org).

### Who should I contact about Academic Collaborations?

[Gordon J. Harris](http://www.dfhcc.harvard.edu/insider/member-detail/member/gordon-j-harris-phd/)
at Massachusetts General Hospital is the primary contact for any academic
collaborators. We are always happy to hear about new groups interested in using
the OHIF framework, and may be able to provide development support if the
proposed collaboration has an impact on cancer research.

### Do you offer commercial support?

The Open Health Imaging Foundation does not offer commercial support, however,
some community members do offer consulting services. The following contacts may
be useful:

- Rob Lewis ([Radical Imaging](http://radicalimaging.com/))

**Please file a Pull Request if you wish to add your name or organization to
this list.**

### I emailed my question to you directly and you did not respond. Why not?

Emailing developers directly is not a shortcut to faster support. Please file
your issues and questions on Github so that everyone can benefit from the
discussion and solutions.

### Do your Viewers have [510(k) Clearance](https://www.fda.gov/MedicalDevices/DeviceRegulationandGuidance/HowtoMarketYourDevice/PremarketSubmissions/PremarketNotification510k/) from the U.S. F.D.A or [CE Marking](https://ec.europa.eu/growth/single-market/ce-marking_en) from the European Commission?

**NO.** The OHIF Viewer, Lesion Tracker, and Standalone Viewer, **NOT** F.D.A.
cleared or CE Marked. It is the users responsibility to ensure compliance with
applicable rules and regulations. The
[License](https://github.com/OHIF/Viewers/blob/master/LICENSE) for the OHIF
Framework does not prevent your company or group from seeking F.D.A. clearance
for a product built using the framework.

If you have gone this route (or are going there), please let us know because we
would be interested to hear about your experience.

### Are your Viewers [HIPAA](https://en.wikipedia.org/wiki/Health_Insurance_Portability_and_Accountability_Act) Compliant?

**NO.** The OHIF Viewer, Lesion Tracker, and Standalone Viewer **DO NOT**
fulfill all of the criteria to become HIPAA Compliant. It is the users
responsibility to ensure compliance with applicable rules and regulations.

The Lesion Tracker application demonstrates some available components and
features (e.g. [Audit Trail](../lesion-tracker/audit-trail.md), automatic
logoff, and unique user identification for
[User Accounts](../lesion-tracker/user-accounts.md)) which could be used by
third parties seeking HIPAA compliance.
